Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::D3D9HLSLProgramFactory Class Reference

Factory class for D3D9 HLSL programs. More...

`#include <OgreD3D9HLSLProgramFactory.h>`

Inheritance diagram for Ogre::D3D9HLSLProgramFactory:

[legend]
List of all members.

## Public Methods

| D3D9HLSLProgramFactory ()
| ~D3D9HLSLProgramFactory ()
const String & | getLanguage (void) const
| Get the name of the language this factory creates programs for.
HighLevelGpuProgram * | create (const String &name, GpuProgramType gptype)
void | destroy (HighLevelGpuProgram *prog)

## Detailed Description

Factory class for D3D9 HLSL programs.

Definition at line 34 of file OgreD3D9HLSLProgramFactory.h.

## Constructor & Destructor Documentation

Ogre::D3D9HLSLProgramFactory::D3D9HLSLProgramFactory | ( |  | ) |

| Definition at line 34 of file OgreD3D9HLSLProgramFactory.cpp.

Ogre::D3D9HLSLProgramFactory::~D3D9HLSLProgramFactory | ( |  | ) |

| Definition at line 38 of file OgreD3D9HLSLProgramFactory.cpp.

## Member Function Documentation

HighLevelGpuProgram * Ogre::D3D9HLSLProgramFactory::create | ( | const String & | name,
|  | GpuProgramType | gptype
| ) | `[virtual]`

| Implements Ogre::HighLevelGpuProgramFactory. Definition at line 47 of file OgreD3D9HLSLProgramFactory.cpp. References Ogre::GpuProgramType, Ogre::sLanguageName, and Ogre::String.

void Ogre::D3D9HLSLProgramFactory::destroy | ( | HighLevelGpuProgram * | prog | ) | `[virtual]`

| Implements Ogre::HighLevelGpuProgramFactory. Definition at line 52 of file OgreD3D9HLSLProgramFactory.cpp.

const String & Ogre::D3D9HLSLProgramFactory::getLanguage | ( | void |  | ) | const`[virtual]`

| Get the name of the language this factory creates programs for. Implements Ogre::HighLevelGpuProgramFactory. Definition at line 42 of file OgreD3D9HLSLProgramFactory.cpp. References Ogre::sLanguageName, and Ogre::String.

The documentation for this class was generated from the following files:

- OgreD3D9HLSLProgramFactory.h
- OgreD3D9HLSLProgramFactory.cpp

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:49:26 2004